Page MenuHomePhabricator

Use parameter types in ApiSandbox
Closed, ResolvedPublic

Description

The MediaWiki API knows the type of a parameter (it's one of 'string', 'integer', 'timestamp', etc.).

Perhaps this can be utilized in the ApiSandbox somehow.


Version: unspecified
Severity: enhancement

Details

Reference
bz32740
Related Gerrit Patches:
mediawiki/core : masterAdd Special:ApiSandbox

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 12:06 AM
bzimport set Reference to bz32740.
bzimport added a subscriber: Unknown Object (MLST).
Krinkle created this task.Nov 30 2011, 9:47 PM
MaxSem added a comment.Dec 1 2011, 4:59 AM

Inputs are already generated with parameter type in mind, but normally integer *limit parameters may accept "max" in addition to integers, for example. Date picker for appropriate fields makes sense, of course.

sumanah wrote:

Upped priority per platform engineering meeting today. Aiming to get this improved & deployed by 20 January.

Sumana, let's talk about the priority of this issue when we have a chance.

Change 209570 had a related patch set uploaded (by Anomie):
WIP: Add Special:ApiSandbox

https://gerrit.wikimedia.org/r/209570

Change 209570 merged by jenkins-bot:
Add Special:ApiSandbox

https://gerrit.wikimedia.org/r/209570

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 3 2016, 4:53 PM
Anomie closed this task as Resolved.Feb 3 2016, 5:12 PM
Anomie claimed this task.